Loading...
Searching...
No Matches
juce::dsp::SpecialFunctions Struct Reference

## Detailed Description

Contains miscellaneous filter design and windowing functions.

The documentation for this struct was generated from the following file:

- juce_dsp/maths/juce_SpecialFunctions.h

## Static Public Member Functions

static double | besselI0 (double x) noexcept
| Computes the modified Bessel function of the first kind I0 for a given double value x.
static void | ellipticIntegralK (double k, double &K, double &Kp) noexcept
| Computes the complete elliptic integral of the first kind K for a given double value k, and the associated complete elliptic integral of the first kind Kp for the complementary modulus of k.
static Complex< double > | cde (Complex< double > u, double k) noexcept
| Computes the Jacobian elliptic function cd for the elliptic modulus k and the quarter-period units u.
static Complex< double > | sne (Complex< double > u, double k) noexcept
| Computes the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.
static Complex< double > | asne (Complex< double > w, double k) noexcept
| Computes the inverse of the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

## Member Functions

## besselI0()

double juce::dsp::SpecialFunctions::besselI0 | ( | double | x | ) |

static noexcept

Computes the modified Bessel function of the first kind I0 for a given double value x.

Modified Bessel functions are useful to solve various mathematical problems involving differential equations.

References x.

## ellipticIntegralK()

void juce::dsp::SpecialFunctions::ellipticIntegralK | ( | double | k,
|  | double & | K,
|  | double & | Kp )

static noexcept

Computes the complete elliptic integral of the first kind K for a given double value k, and the associated complete elliptic integral of the first kind Kp for the complementary modulus of k.

## cde()

Complex< double > juce::dsp::SpecialFunctions::cde | ( | Complex< double > | u,
|  | double | k )

static noexcept

Computes the Jacobian elliptic function cd for the elliptic modulus k and the quarter-period units u.

## sne()

Complex< double > juce::dsp::SpecialFunctions::sne | ( | Complex< double > | u,
|  | double | k )

static noexcept

Computes the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

## asne()

Complex< double > juce::dsp::SpecialFunctions::asne | ( | Complex< double > | w,
|  | double | k )

static noexcept

Computes the inverse of the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

References w.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited